# norootforbuild

Summary:        Player Free / Neuf TV
Name: 	        freetuxtv
Version:	0.6.8.20160609.6575c25
Release:	pm152.2.22
Source: 	%{name}-%{version}.tar.xz
License: 	GPL-2.0
Url:            https://github.com/freetuxtv/freetuxtv
Group:          Productivity/Multimedia/Video/Players
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-tools
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:  pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.26.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcurl) >= 7.18
BuildRequires:  pkgconfig(libnotify) >= 0.4
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(sqlite3) >= 3.4

%description
Freetuxtv is a player for Television on Internet with french Alice,
Bouygues, Free, Orange and SFR (ex-Neuf) Internet service providers, 
and a lot of WebTV, WebRadio and Webcam with more than twenty languages in the world.

%package -n libdbevolution0
Summary:        Freetuxtv library evolution
Group:          Productivity/Multimedia/Video/Players
%description -n libdbevolution0
Freetuxtv is a player for Television on Internet

%package -n libvlc-gtk0
Summary:        Freetuxtv library vlc-gtk
Group:          Productivity/Multimedia/Video/Players
%description -n libvlc-gtk0
Freetuxtv is a player for Television on Internet

%package devel
Summary:        Freetuxtv Development system
Group:          Development/Libraries/C and C++
Requires: %{name} = %{version}-%{release}

%description devel
Freetuxtv is a player for Television on Internet with french Alice,
Bouygues, Free, Orange and SFR (ex-Neuf) Internet service providers, 
and a lot of WebTV, WebRadio and Webcam with more than twenty languages in the world.

This package contains development files for freetuxtv

%lang_package

%prep
%setup -q

%build 
env NOCONFIGURE=%{name} bash ./autogen.sh
%configure \
  --disable-static \
  --enable-shared \
  --with-gtk=3.0
make %{?_smp_mflags}


%install
%makeinstall freetuxtvdoc_DATA=
find %{buildroot} -name "*.la" -print -delete
%find_lang %{name}

%post -n libdbevolution0 -p /sbin/ldconfig
%post -n libvlc-gtk0 -p /sbin/ldconfig
%postun -n libdbevolution0 -p /sbin/ldconfig
%postun -n libvlc-gtk0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/freetuxtv
%dir %{_datadir}/freetuxtv/
%dir %{_datadir}/freetuxtv/images
%dir %{_datadir}/freetuxtv/images/channels
%{_datadir}/freetuxtv/channels_groups.xml
%{_datadir}/icons/*
%{_datadir}/freetuxtv/splashscreen.png
%{_datadir}/freetuxtv/images/channels/*.png
%{_datadir}/freetuxtv/sqlite3-create-tables.sql
%{_datadir}/freetuxtv/tv_channels.xml
%dir %{_datadir}/freetuxtv/ui/
%{_datadir}/freetuxtv/ui/addchannelsgroups.glade
%{_datadir}/freetuxtv/ui/addrecording.glade
%{_datadir}/freetuxtv/ui/channelproperties.glade
%{_datadir}/freetuxtv/ui/freetuxtv.glade
%{_datadir}/applications/freetuxtv.desktop

%files -n libdbevolution0
%defattr(-,root,root)
%{_libdir}/libdbevolution.so.*

%files -n libvlc-gtk0
%defattr(-,root,root)
%{_libdir}/libvlc-gtk.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%dir %{_includedir}/libvlc-gtk/
%{_includedir}/libvlc-gtk/*.h
%dir %{_includedir}/libdbevolution/
%{_includedir}/libdbevolution/db-evolution-instance.h
%{_libdir}/libvlc-gtk.so
%{_libdir}/libdbevolution.so

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Thu Feb  9 2017 olaf@aepfle.de
- Update to github version 0.6.8.20160609.6575c25
* Mon Jan 27 2014 guillaume@opensuse.org
- Clean-up spec file
- Now use GTK-3 when available since GTK-2 build is broken
* Mon Jan 27 2014 guillaume@opensuse.org
- Update to FreetuxTV 0.6.6 (2014-01-18):
  - Use correctly libvlc options
  - Add Turkish translation
  - Add Spanish translation
  - Add missing logo size
  - Download icons options
* Mon Jan 27 2014 guillaume@opensuse.org
- Move changelog from *.spec file to *.changes file
* Wed Apr 18 2012 Benjamin Denisart <p.drouand@gmail.com>
- Freetuxtv version 0.6.3
* Sun Mar 21 2010 Gilles Sabourin <gilles.sabourin@free.fr>
- Freetuxtv version 0.4.2
* Sat Dec 12 2009 Gilles Sabourin <gilles.sabourin@free.fr>
- Freetuxtv version 0.4.0
* Wed Aug 26 2009 Gilles Sabourin <gilles.sabourin@free.fr>
- Source is bziped
- Freetuxtv version 0.3.0
* Sun Jan 18 2009 Gilles Sabourin <gilles.sabourin@free.fr>
- Added norootforbuild directive
* Tue Nov 11 2008 Gilles Sabourin <gilles.sabourin@free.fr>
- Initial build for openSUSE 11.0
